﻿
.grade {
    background-color: #fff;
    display: grid;
    grid-template-columns: calc(100% - 300px) 320px;
}

    .grade .gradeDetail {
        padding: 35px 0 45px 30px;
        width: 100%;
    }

         .grade .gradeDetail .grade-title {
            font-size: 28px;
            font-weight: bold;
            color: #333;
            line-height: 28px;
        }

         .grade .gradeDetail .grade-time {
            display: block;
            margin-top: 15px;
            font-size: 14px;
            font-weight: 400;
            color: #797a7d;
            line-height: 28px;
        }

         .grade .gradeDetail .subject {
            margin-top: 30px;
        }

         .grade .gradeDetail .subject-title {
            width: 60px;
            font-size: 14px;
            font-weight: 400;
            color: #797a7d;
        }

         .grade .gradeDetail .subject-options {
            margin-left: 40px;
            width: 700px;
        }

             .grade .gradeDetail .subject-options .list {
                position: relative;
                cursor: pointer;
                margin-bottom: 10px;
                margin-right: 12px;
                padding: 0 12px;
                height: 26px;
                background: #fff;
                border: 1px solid #dfdfdf;
                border-radius: 3px;
                font-size: 14px;
                font-weight: 400;
                color: #525253;
            }

             .grade .gradeDetail .subject-options .active {
                border: 1px solid #0384fc;
                color: #4f92f0;
            }

                 .grade .gradeDetail .subject-options .active:before {
                    content: '';
                    position: absolute;
                    right: 0px;
                    bottom: 0px;
                    border: 9px solid #4f92f0;
                    border-top-color: transparent;
                    border-left-color: transparent;
                    border-radius: 0 0 3px 0;
                }

                 .grade .gradeDetail .subject-options .active:after {
                    content: '';
                    width: 2px;
                    height: 7px;
                    position: absolute;
                    right: 2px;
                    bottom: 2px;
                    border: 2px solid #fff;
                    border-top-color: transparent;
                    border-left-color: transparent;
                    -webkit-transform: rotate(45deg);
                    transform: rotate(45deg);
                }

         .grade .gradeDetail .deadline {
            margin-top: 20px;
        }

         .grade .gradeDetail .deadline-title {
            width: 60px;
            font-size: 14px;
            font-weight: 400;
            color: #797a7d;
        }

         .grade .gradeDetail .deadline-time {
            margin-left: 40px;
            width: 153px;
            height: 15px;
            font-size: 14px;
            font-weight: 400;
            color: #333;
        }

         .grade .gradeDetail .safeguard {
            margin-top: 30px;
        }

         .grade .gradeDetail .safeguard-title {
            width: 60px;
            font-size: 14px;
            font-weight: 400;
            color: #797a7d;
        }

         .grade .gradeDetail .safeguard-list {
            margin-right: 30px;
        }

             .grade .gradeDetail .safeguard-list > i {
                text-align: center;
                display: block;
                width: 18px;
                height: 18px;
                border: 1px solid #ff5b46;
                border-radius: 50%;
                font-size: 12px;
                font-weight: 400;
                color: #ff5b46;
            }

             .grade .gradeDetail .safeguard-list > span {
                padding-left: 5px;
                font-size: 14px;
                font-weight: 400;
                color: #333;
            }

         .grade .gradeDetail .teacher {
            margin-top: 35px;
        }

         .grade .gradeDetail .teacher-title {
            width: 60px;
            font-size: 14px;
            font-weight: 400;
            color: #797a7d;
        }

         .grade .gradeDetail .teacher .teacher-container {
            margin-left: 40px;
        }

             .grade .gradeDetail .teacher .teacher-container .list {
                margin: auto 10px;
                margin-right: 18px;
            }

                 .grade .gradeDetail .teacher .teacher-container .list > img {
                    width: 45px;
                    height: 45px;
                    border-radius: 50%;
                    background-color: #f2f2f2;
                }

                 .grade .gradeDetail .teacher .teacher-container .list > p {
                    margin-top: 10px;
                    font-size: 12px;
                    font-weight: 400;
                    color: #797a7d;
                }

    .grade .price {
        padding: 39px 20px 29px 20px;
        height: 100%;
        position: relative;
        border-left: 1px solid #f0f0f0;
    }

         .grade .price .price-num > span {
            line-height: 1;
            font-size: 15px;
            font-weight: bold;
            color: #de3e29;
        }

         .grade .price .price-num > p {
            line-height: 1;
            font-size: 32px;
            font-weight: bold;
            color: #de3e29;
            margin-right: 10px;
        }

         .grade .price .price-num > i {
            font-size: 14px;
            font-weight: 400;
            text-decoration: line-through;
            color: #999;
        }

         .grade .price .include {
            cursor: pointer;
            position: relative;
            margin-top: 10px;
            font-size: 14px;
            font-weight: 400;
            color: #797a7d;
        }

             .grade .price .include p.title {
                overflow: hidden;
                text-overflow: ellipsis;
                white-space: nowrap;
            }

             .grade .price .include .inAll span {
                margin-left: 15px;
                height: 30px;
                width: 10px;
                display: block;
                font-size: 30px;
                transform: rotate(90deg);
            }

         .grade .price .includeAll {
            position: absolute;
            top: 30px;
            padding: 15px;
            right: 10px;
            width: 265px;
            height: 190px;
            background: #fff;
            box-shadow: 0 0 5px #ccc;
            border-radius: 3px;
            overflow-y: scroll;
            z-index: 100;
        }

             .grade .price .includeAll::-webkit-scrollbar {
                width: 8px;
                background-color: #f1f1f1;
                border-radius: 4px;
            }

             .grade .price .includeAll::-webkit-scrollbar-thumb {
                background-color: #ccc;
                border-radius: 4px;
            }

             .grade .price .includeAll .list {
                padding: 10px 0;
                border-bottom: 1px dashed #e8e8e8;
            }

                 .grade .price .includeAll .list > span {
                    text-align: center;
                    display: block;
                    width: 48px;
                    height: 20px;
                    background: #eff5fb;
                    border-radius: 3px;
                    font-size: 13px;
                    font-weight: 400;
                    color: #6b93b9;
                    line-height: 19px;
                }

                 .grade .price .includeAll .list > p {
                    cursor: pointer;
                    margin-left: 10px;
                    width: 340px;
                    font-size: 14px;
                    font-weight: 400;
                    color: #666;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    white-space: nowrap;
                }

         .grade .price .but {
            width: 260px;
            position: absolute;
            bottom: 30px;
            font-size: 16px;
        }

            .grade .price .but button{
                border-width:0px;
            }

            .grade .price .but .buy {
                cursor: pointer;
                width: 120px;
                height: 46px;
                background: linear-gradient(90deg, #ff6346, #ff423b);
                border-radius: 6px;
                color: #fff;
                font-size: 16px;
            }

                 .grade .price .but .buy:hover {
                    font-weight: bold;
                }

             .grade .price .but .consult {
                cursor: pointer;
                width: 120px;
                height: 46px;
                background: linear-gradient(90deg, #60a5fa, #3f82e7);
                border-radius: 6px;
                color: #fff;
                font-size: 16px;
            }

                 .grade .price .but .consult:hover {
                    font-weight: bold;
                }
